from django.contrib import admin
from django.utils.html import format_html

from ..models.exercise_plan import ExercisePlanTranslation


class TranslationPlanInline(admin.TabularInline):
    model = ExercisePlanTranslation
    fields = ('language_code', 'name', 'description')
    extra = 0


class ExercisePlanAdmin(admin.ModelAdmin):
    list_display = ('name_colored',)
    search_fields = ['name']

    def name_colored(self, obj):
        color_code = 'C20000'
        html = '<span style="color: #{};">{}</span>˓→'.format(color_code, obj.name)
        return format_html(html)

    name_colored.admin_order_field = 'name'
    name_colored.short_description = 'name'

    inlines = [
        TranslationPlanInline
    ]


'''
class ExercisePlanDetailAdmin(admin.ModelAdmin):
    list_display = ('get_plan', 'get_exercise_type', 'serie', 'repeats', 'weight_equation',)
    list_editable = ('serie', 'repeats', 'weight_equation',)

    # list_editable_link('',)

    def get_plan(self, obj):
        return obj.exercise_plan.name

    def get_exercise_type(self, obj):
        return obj.exercise_type.name
'''
